'''
Python package setup.
'''

from setuptools import setup, find_packages

long_desc = '''
One day, Stephen got fed up and decided to make his own webstack. Unstack
is the result. It's a homebrew webstack and application framework that
provides everything you need to make an awesome webapp, all in one easy
Python package with no dependencies.
'''

setup(**{
    'author':           'The Unstack Devs',
    'description':      'An independent webapp stack and framework.',
	'keywords':         'web development',
	'license':          'MIT',
	'long_description': long_desc,
    'name':             'Unstack',
    'packages':         find_packages(exclude=['tests']),
    'version':          '1.0.1.post1',
    'url':              'http://unstack.org',
	'classifiers': [
        'Development Status :: 5 - Production/Stable',
		'Environment :: Web Environment',
		'Intended Audience :: Developers',
		'License :: OSI Approved :: MIT License',
		'Natural Language :: English',
		'Programming Language :: Python',
		'Programming Language :: Python :: 3.4',
		'Topic :: Software Development',
	],
})
