'''
Tests for unstack.http.data.response.
'''

from tests.fixtures import response

def test_init(response):
	assert response.request
	assert response.code == 200
	assert response.body == 'body'
	assert response.text == 'OK'
	assert response.headers.headers == {
		'Connection':   'close',
		'Content-Type': 'text/html',
		'Foo': 'bar',
	}

def test_str(response):
	string = str(response).splitlines()
	assert string == [
		'HTTP/1.1 200 OK',
		'Connection: close',
		'Content-Type: text/html',
		'Foo: bar',
		'',
		'body',
	]
