'''
Tests for unstack.tpls.html.
'''

from tests.fixtures import html

def test_init(html):
	assert html.body == 'Test {foo}'

def test_call(html):
	func = html(lambda: {'foo': 'bar'})
	assert func() == 'Test bar'

def test_render(html):
	assert html.render(foo='bar') == 'Test bar'
